namespace ServerDatabase.SourceGenerator;

[AttributeUsage(AttributeTargets.Property, AllowMultiple = true)]
public sealed class JsonIgnoreIndexAttribute : Attribute
{
    public JsonIgnoreIndexAttribute(int index = 0)
    {
        this.Index = index;
    }

    public int Index { get; private set; } = 0;
}