namespace ServerDatabase.SourceGenerator;

[AttributeUsage(AttributeTargets.Class, AllowMultiple = true)]
public sealed class JsonTableRowAttribute : Attribute
{
    public JsonTableRowAttribute(Type type, int index = 0)
    {
        this.Type = type;
        this.Index = index;
    }

    public int Index { get; private set; } = 0;
    public Type Type { get; private set; }
}